> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attachments For Exemption

> The Get Attachments for Exemption API retrieves all
    attachments associated with a specific exemption.
    This is used to view and manage supporting documents
    like exemption certificates uploaded for a particular exemption record.



## OpenAPI

````yaml get /v1/exemptions/{exemption_id}/attachments
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/exemptions/{exemption_id}/attachments:
    get:
      tags:
        - Exemptions
      summary: Get Attachments For Exemption
      description: |-
        The Get Attachments for Exemption API retrieves all
            attachments associated with a specific exemption.
            This is used to view and manage supporting documents
            like exemption certificates uploaded for a particular exemption record.
      operationId: >-
        get_attachments_for_exemption_v1_exemptions__exemption_id__attachments_get
      parameters:
        - name: exemption_id
          in: path
          required: true
          schema:
            type: string
            description: |-
              The unique identifier for the exemption
                      whose attachments are being retrieved.
            title: Exemption Id
          description: |-
            The unique identifier for the exemption
                    whose attachments are being retrieved.
      responses:
        '200':
          description: Successfully retrieved attachments for exemption
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AttachmentRead'
                title: >-
                  Response 200 Get Attachments For Exemption V1 Exemptions 
                  Exemption Id  Attachments Get
              example:
                - related_entity_id: exmp_JqrwqvonUzdXs
                  related_entity_type: EXEMPTION
                  id: atch_7qPLke8KvSCnX
                - related_entity_id: exmp_JqrwqvonUzdXs
                  related_entity_type: EXEMPTION
                  id: atch_qAVqXdCavmtm3
        '401':
          description: The request is missing a valid x-api-key or x-organization-id
          content:
            application/json:
              example:
                detail: Unauthenticated request.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: >-
            Validation issues, such as missing required fields or invalid field
            values.
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - header
                      - x-organization-id
                    msg: Field required
              schema:
                $ref: >-
                  #/components/schemas/backend__src__exemptions__responses__ValidationErrorResponse
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    AttachmentRead:
      properties:
        related_entity_id:
          type: string
          title: Related Entity Id
          description: |-
            The unique identifier of the exemption associated
                    with the attachment.
        related_entity_type:
          $ref: '#/components/schemas/RelatedEntityType'
          description: |-
            The type of entity associated with the attachment.
                    In this case, it will always be EXEMPTION,  REGISTRATION ,FILING,
                    FILING_PAYMENT.
        id:
          type: string
          title: Id
          description: The unique identifier of the uploaded attachment (attachment ID).
      type: object
      required:
        - related_entity_id
        - related_entity_type
        - id
      title: AttachmentRead
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__exemptions__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__exemptions__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    RelatedEntityType:
      type: string
      enum:
        - EXEMPTION
        - REGISTRATION
        - FILING
        - FILING_PAYMENT
      title: RelatedEntityType
    backend__src__exemptions__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````